## chkboot 1.2

=== Makefile ===
BIN = $(DESTDIR)/usr/bin
DEFAULT = $(DESTDIR)/etc/default
PROFILED = $(DESTDIR)/etc/profile.d
LIB = $(DESTDIR)/usr/lib

install:
	install -D -m644 chkboot.conf $(DEFAULT)/chkboot.conf
	install -D -m755 chkboot $(BIN)/chkboot
	install -D -m755 chkboot-check $(BIN)/chkboot-check
	install -D -m755 chkboot-profilealert.sh $(PROFILED)/chkboot-profilealert.sh
	install -D -m755 chkboot-desktopalert $(BIN)/chkboot-desktopalert

install-initcpio: install
	install -D -m644 chkboot-initcpio $(LIB)/initcpio/install/chkboot

install-systemd: install
	install -D -m644 chkboot.service $(LIB)/systemd/system/chkboot.service
	install -D -m755 chkboot-bootcheck $(LIB)/systemd/scripts/chkboot-bootcheck
	systemctl --system daemon-reload
	systemctl enable chkboot

.PHONY: install install-initcpio install-systemd

=== debian/changelog ===
chkboot (1.2-3) unstable; urgency=medium

  * Fix url in Vcs-Browser
  * Bump policy version to 4.3.0
  * Bump debian-compat to 12. Remove debian/compat

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Sat, 05 Jan 2019 12:21:20 +0100

chkboot (1.2-2) unstable; urgency=medium

  * Demote zenity and x11-utils dependencies to Suggests
  * Add gbp.conf for DEP14

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Tue, 27 Nov 2018 21:42:50 +0100

chkboot (1.2-1) unstable; urgency=medium

  * Initial release (Closes: #792380)

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Wed, 21 Nov 2018 23:11:41 +0100

=== debian/control ===
Source: chkboot
Section: utils
Priority: optional
Maintainer: Baptiste BEAUPLAT <lyknode@cilg.org>
Build-Depends: debhelper-compat (= 12), python3-docutils
Standards-Version: 4.3.0
Homepage: https://github.com/grazzolini/chkboot
Vcs-Git: https://salsa.debian.org/debian/chkboot.git
Vcs-Browser: https://salsa.debian.org/debian/chkboot

Package: chkboot
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: zenity, x11-utils
Description: detection of malicious changes for boot files
 chkboot is a set of scripts that will display a notification (console or
 graphical) when boot files are tempered with.
 .
 This tool is indented to be used on encrypted disks. In order to get the
 operating system to run, parts of the boot process must remains un-encrypted.
 chkboot checks that those files have not changed between reboots.
 .
 Since the scripts and the data they generate are stored on the encrypted part
 of the disk, any attempts to modify the boot partition between reboots will be
 detected.
 .
 Please note that this tool is not effective against rootkit that hides every
 boot files modifications or prevents chkboot from functioning properly.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/grazzolini/chkboot/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## chkboot 1.3

=== Makefile ===
BIN = $(DESTDIR)/usr/bin
DEFAULT = $(DESTDIR)/etc/default
PROFILED = $(DESTDIR)/etc/profile.d
LIB = $(DESTDIR)/usr/lib
SHARE = $(DESTDIR)/usr/share

all:

install:
	install -D -m644 chkboot.conf $(DEFAULT)/chkboot.conf
	install -D -m755 chkboot $(BIN)/chkboot
	install -D -m755 chkboot-check $(BIN)/chkboot-check
	install -D -m755 notification/chkboot-profilealert.sh $(PROFILED)/chkboot-profilealert.sh
	install -D -m755 notification/chkboot-desktopalert $(BIN)/chkboot-desktopalert

install-initcpio: install
	install -D -m644 mkinitcpio-hooks/chkboot-initcpio $(LIB)/initcpio/install/chkboot

install-pacman: install
	install -D -m644 pacman-hooks/80-chkboot-check.hook $(SHARE)/libalpm/hooks/80-chkboot-check.hook
	install -D -m644 pacman-hooks/99-chkboot-update.hook $(SHARE)/libalpm/hooks/99-chkboot-update.hook

install-systemd: install
	install -D -m644 chkboot.service $(LIB)/systemd/system/chkboot.service
	install -D -m755 chkboot-bootcheck $(LIB)/systemd/scripts/chkboot-bootcheck

.PHONY: all install install-initcpio install-pacman install-systemd

=== debian/changelog ===
chkboot (1.3-8) unstable; urgency=medium

  * Fix my email info in d/control and d/copyright
  * Bump Standard-Version to 4.6.0: no changes

 -- Baptiste Beauplat <lyknode@debian.org>  Thu, 02 Sep 2021 19:37:41 +0200

chkboot (1.3-7) unstable; urgency=medium

  * Fix my last name in d/copyright
  * Convert rules override_* to execute_before_*
  * Remove leftover man directory after build
  * Bump Standard-Version to 4.5.1: no changes

 -- Baptiste Beauplat <lyknode@cilg.org>  Sat, 28 Nov 2020 11:30:59 +0100

chkboot (1.3-6) unstable; urgency=medium

  * Bump debhelper-compat (= 13)
  * Bump std version to 4.5.0: no changes
  * Add upstream metadata file
  * Move chkboot-update and chkboot-bootcheck to /usr/libexec/ckhboot
  * Add autopkgtest tests
  * Set my last name as lowercase in Maintainer field
  * Add references to upstream patches
  * Replace custom CI by salsa pipeline

 -- Baptiste Beauplat <lyknode@cilg.org>  Sun, 25 Oct 2020 13:11:49 +0100

chkboot (1.3-5) unstable; urgency=medium

  * Fix NEWS filename
  * postinst: check if kernel hooks dirs exist before trying to remove them

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Mon, 06 Jan 2020 11:34:26 +0100

chkboot (1.3-4) unstable; urgency=medium

  * Use apt post-invoke hook and trigger to detect changes on /boot and update
    hashes accordingly
  * Remove kernel post{inst,rm}.d hook
  * Bump std version to 4.4.1: no changes
  * Indicate that package does not need root for d/rules

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Fri, 01 Nov 2019 15:14:10 +0100

chkboot (1.3-3) unstable; urgency=medium

  * Only run CI on debian/master
  * Add Upstream-Contact field to d/copyright
  * Make profilealert works with non-bash shells.
    Thanks to r00t (Closes: #934586)
  * Add postinst to fix permission on /etc/profile.d/chkboot-profilealert.sh
    (from 755 to 644)

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Mon, 09 Sep 2019 13:51:11 +0200

chkboot (1.3-2) unstable; urgency=medium

  * Rebuild, no changes

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Tue, 16 Jul 2019 23:37:22 +0200

chkboot (1.3-1) unstable; urgency=medium

  * New upstream version 1.3
  * Update software version in manpages
  * d/watch: Remove leftover from dh_make template
  * Rediff patches
  * Update to policy version 4.4.0 - no changes
  * Warn about file format change in NEWS.Debian
  * Add SysV init script

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Mon, 15 Jul 2019 22:46:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: chkboot
 Section: utils
 Priority: optional
-Maintainer: Baptiste BEAUPLAT <lyknode@cilg.org>
-Build-Depends: debhelper-compat (= 12), python3-docutils
-Standards-Version: 4.3.0
+Maintainer: Baptiste Beauplat <lyknode@debian.org>
+Build-Depends: debhelper-compat (= 13), python3-docutils
+Standards-Version: 4.6.0
 Homepage: https://github.com/grazzolini/chkboot
 Vcs-Git: https://salsa.debian.org/debian/chkboot.git
 Vcs-Browser: https://salsa.debian.org/debian/chkboot
+Rules-Requires-Root: no
 
 Package: chkboot
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: zenity, x11-utils
 Description: detection of malicious changes for boot files

=== debian/tests/control ===
Tests: 0001-no-changes, 0002-ack-changes, 0003-unack-changes, 0004-kernel-update
Restrictions: isolation-machine, needs-root, breaks-testbed, needs-reboot
